Subject: [AAA-WG]: Issue: Error in Radius VSA to Diameter Vendor AVP conversion in NASREQ

From: <[email-masked]>
Date: Tue, 14 Dec 2004 14:23:04 +0200

Issue TBD: Error in Radius VSA to Diameter Vendor AVP conversion in NASREQ
Submitter name: Mikko Aittola
Submitter email address: [email-masked]
Date first submitted: 14.12.2004
Reference: 
Document: nasreq
Comment type: T
Priority: 
Section: 9.6.2
Rationale/Explanation of issue:

According to Section 9.6.2. in NASREQ Diameter AVP length field includes
padding. According to RFC 3588 AVP length field does not include
padding.

Text from NASREQ:
> 9.6.2.  Forwarding a RADIUS VSA to a Diameter Vendor AVP
>
>
>   The Diameter AVP will consist of the following fields;
>      Diameter Flags: V=1, M=0, P=0
>      Diameter Vendor code = RADIUS VSA Vendor code
>      Diameter AVP code = RADIUS VSA Vendor type code
>      Diameter AVP length = length of AVP (header + data + padding)
>      Diameter Data = RADIUS VSA vendor data

Requested change:
      Diameter AVP length = length of AVP (header + data)

BR,
Mikko

---

From: "David Mitton" <[email-masked]>
Date: Tue, 14 Dec 2004 15:09:50 -0500

Yes, that was noted by Glen Zorn recently.
I will fix it when it pops up on the RFC Editor's queue.

Dave.